Subject: Re: bug#69631: 30.0.50; native compilation errors

From: Andrea Corallo <[email-masked]>
Date: Fri, 08 Mar 2024 11:21:39 -0500

Stefan Monnier <[email-masked]> writes:

>>> Bootstrap now progress further but fails while compiling emoji-labels.el :/
>>                                                  ^^^
>>                                                  generating
>>
>> I think I'll leave this to Stefan as it looks closely related to his
>> recent changes and doesn't seem to involve the native compiler.
>
> Hmm... I didn't bump into this problem, but I did see into another one,
> so I pushed a fix, hopefully it fixed that one as well.

Hi,

On my system (GNU/Linux X86_64):

$ git clean -xfd && ./autogen.sh && ./configure --prefix=/home/andcor03 --with-nativecomp=aot && make -j64

I still can see the following error even if I'm on have 055e31f1d02:

"../../src/bootstrap-emacs" -batch --no-site-file --no-site-lisp -l emoji.el -f emoji--generate-file ../../lisp/international/emoji-labels.el

Error: wrong-type-argument (eieio--class #s(built-in-class record "Abstract type of objects with slots." (#s(built-in-class atom "The type of anything but cons cells." (#s(built-in-class t "The type of everything." nil nil nil)) nil nil)) nil nil))
  signal(wrong-type-argument (eieio--class #s(built-in-class :name record :docstring "Abstract type of objects with slots." :parents (#s(built-in-class :name atom :docstring "The type of anything but cons cells." :parents (#s(built-in-class :name t :docstring "The type of everything." :parents nil :slots nil :index-table nil)) :slots nil :index-table nil)) :slots nil :index-table nil)))

  Andrea